<?php
/**
 * This is the template that displays the media index for a blog
 *
 * This file is not meant to be called directly.
 * It is meant to be called by an include in the main.page.php template.
 * To display the archive directory, you should call a stub AND pass the right parameters
 * For example: /blogs/index.php?disp=arcdir
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2011 by Francois Planque - {@link http://fplanque.com/}
 *
 * @package evoskins
 */
/**
 * Modifcation JL120905
 * => add var $jl_main_cat 
 * => allow to limit display of Index to main category
 * => see modification of /inc/widgets/widgets/_coll_media_index.widget.php
 * => see modification in index.main.php = added  onclick="return jl_mediaidx();"
	in the link to the index (?disp=mediaidx)
 * => see modification in _item_block.inc.php = added an invisible div
 *	to get the name of the main category in the corresponding js
 * => see modification of _html_header.inc.php (script modified link to mediaidx)
 * => see modification de /locales/fr_FR/_global.php = 'Show all Albums (clic)'
 * => Nota cat = 24 is here the category "Menus" (not photos) = no Index to display
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

// JL120905 mod 1 continued
global $Skin;
global $jl_main_cat;
global $jl_main_cat_name;
if($jl_main_cat == 24){ $jl_main_cat = ''; $jl_main_cat_name = 'Tous';};
// End of JL120905 mod 1
// --------------------------------- START OF MEDIA INDEX --------------------------------
skin_widget( array(
		// CODE for the widget:
		'widget' => 'coll_media_index',
		// Optional display params
		'block_start' => '',
		'block_end' => '',
		'block_display_title' => false,
		'thumb_size' => 'fit-80x80',
		'thumb_layout' => 'grid',
		'grid_start' => '<table class="image_index" cellspacing="3">',
		'grid_end' => '</table>',
		'grid_nb_cols' => 8,
		'grid_colstart' => '<tr>',
		'grid_colend' => '</tr>',
		'grid_cellstart' => '<td>',
		'grid_cellend' => '</td>',
		'order_by' => $Blog->get_setting('orderby'),
		'order_dir' => $Blog->get_setting('orderdir'),
		'limit' => 9999,
	) );
// ---------------------------------- END OF MEDIA INDEX ---------------------------------
// JL120905 mod 1 continued
if($jl_main_cat != '')
{
	echo '<center><a href="'.$Blog->gen_blogurl().'?disp=mediaidx" style="color:jlyellow;">'.$Skin->T_('Show all Albums (click)').'</a></center>';
	$jl_main_cat = '';
};
// End of JL120905 mod 1
/*
 * $Log: _mediaidx.disp.php,v $
 */
?>